local Scene = {}

function Scene:init()
	self.player = Instance.Player(0,0)
	self.camera = Instance.Camera(0,0,1)
	self.map = Instance.Map("bin/data/maps/testmap",Tilesets.Spring)
end

function Scene:update(dt)
	self.player:update(dt)
	self.camera:setPosition(self.player.x+16,self.player.y+16)
	self.camera.scale = 0.5
end

function Scene:draw()
	self.camera:push()
	self.map:draw()
	self.player:draw()
	self.camera.pop()
end

return Scene