local Rectangle2D = class {
	init = function(self,x,y,w,h)
		self.x = x or 0
		self.y = y or 0
		self.w = w or 0
		self.h = h or 0
	end,
	
	checkRectangle = function(self,rect2)
		return	self.x < rect2.x + rect2.w and self.x + self.w > rect2.x
		and		self.y < rect2.y + rect2.h and self.y + self.h > rect2.y
	end,
	
	draw = function(self)
		love.graphics.rectangle("line",self.x,self.y,self.w,self.h)
	end,
	
	setPosition = function(self,x,y)
		self.x = x or 0
		self.y = y or 0
	end,
}

return Rectangle2D